--- old/usr/src/man/man5/mdoc.5	Sat Jul 19 14:19:59 2014
+++ new/usr/src/man/man5/mdoc.5	Sat Jul 19 14:19:59 2014
@@ -17,7 +17,7 @@
 .\" Copyright 2012 Nexenta Systems, Inc. All rights reserved.
 .\" Copyright 2014 Garrett D'Amore <garrett@dmaore.org>
 .\"
-.Dd Jul 16, 2014
+.Dd Jul 19, 2014
 .Dt MDOC 5
 .Os
 .Sh NAME
@@ -140,13 +140,12 @@
 \&.\e\(dq .Sh RETURN VALUES
 \&.\e\(dq For sections 2, 3, & 9 only.
 \&.\e\(dq .Sh ENVIRONMENT
-\&.\e\(dq For sections 1, 1M, 5, & 6 only.
+\&.\e\(dq For sections 1, 1M, and 5.
 \&.\e\(dq .Sh FILES
 \&.\e\(dq .Sh EXIT STATUS
-\&.\e\(dq For sections 1, 1M, & 6 only.
+\&.\e\(dq For sections 1, 1M, and 5.
 \&.\e\(dq .Sh EXAMPLES
 \&.\e\(dq .Sh DIAGNOSTICS
-\&.\e\(dq For sections 1, 1M, 5, 6, & 7 only.
 \&.\e\(dq .Sh ERRORS
 \&.\e\(dq For sections 2, 3, & 9 only.
 \&.\e\(dq .Sh ARCHITECTURE
@@ -155,6 +154,7 @@
 \&.\e\(dq .Sh INTERFACE STABILITY
 \&.\e\(dq .Sh MT-LEVEL
 \&.\e\(dq For sections 2 & 3 only.
+\&.\e\(dq .Sh SECURITY
 \&.\e\(dq .Sh SEE ALSO
 \&.\e\(dq .Xr foobar 1
 \&.\e\(dq .Sh STANDARDS
@@ -162,8 +162,6 @@
 \&.\e\(dq .Sh AUTHORS
 \&.\e\(dq .Sh CAVEATS
 \&.\e\(dq .Sh BUGS
-\&.\e\(dq .Sh SECURITY CONSIDERATIONS
-\&.\e\(dq Not used in OpenBSD.
 .Ed
 .Pp
 The sections in an
@@ -209,7 +207,7 @@
 Documents the utility invocation syntax, function call syntax, or device
 configuration.
 .Pp
-For the first, utilities (sections 1, 1M, and 6), this is
+For the first, utilities (sections 1 and 1M), this is
 generally structured as follows:
 .Bd -literal -offset indent
 \&.Nm bar
@@ -224,7 +222,7 @@
 .Pp
 Commands should be ordered alphabetically.
 .Pp
-For the second, function calls (sections 2, 3, 9):
+For the second, function calls (sections 2, 3, 7I, 7P, 9):
 .Bd -literal -offset indent
 \&.In header.h
 \&.Vt extern const char *global;
@@ -242,10 +240,9 @@
 .Sx \&Fo
 macros should follow C header-file conventions.
 .Pp
-And for the third, configurations (section 7):
+And for the third, configurations (section 7D):
 .Bd -literal -offset indent
-\&.Cd \(dqit* at isa? port 0x2e\(dq
-\&.Cd \(dqit* at isa? port 0x4e\(dq
+\&.Pa /dev/device_node
 .Ed
 .Pp
 Manuals not in these sections generally don't need a
@@ -352,7 +349,7 @@
 .Sx \&Pa .
 .It Em EXIT STATUS
 This section documents the
-command exit status for section 1, 6, and 8 utilities.
+command exit status for sections 1 and 1M.
 Historically, this information was described in
 .Em DIAGNOSTICS ,
 a practise that is now discouraged.
@@ -364,12 +361,13 @@
 This often contains snippets of well-formed, well-tested invocations.
 Make sure that examples work properly!
 .It Em DIAGNOSTICS
-Documents error conditions.
-This is most useful in section 4 manuals.
-Historically, this section was used in place of
+Documents error and diagnostic messages displayed to the user or
+sent to logs. Note that exit
+status and return values should be documented in the
 .Em EXIT STATUS
-for manuals in sections 1, 6, and 8; however, this practise is
-discouraged.
+and
+.Em RETURN VALUES
+sections.
 .Pp
 See
 .Sx \&Bl
@@ -491,6 +489,8 @@
 .Nm MT-Safe
 but with specific exceptions noted.
 .El
+.It Em SECURITY
+Documents any security precautions that operators should consider.
 .It Em SEE ALSO
 References other manuals with related topics.
 This section should exist for most manuals.
@@ -528,8 +528,6 @@
 .It Em BUGS
 Known bugs, limitations, and work-arounds should be described
 in this section.
-.It Em SECURITY CONSIDERATIONS
-Documents any security precautions that operators should consider.
 .El
 .Sh MACRO OVERVIEW
 This overview is sorted such that macros of similar purpose are listed
@@ -1245,10 +1243,9 @@
 and
 .Sx \&Ux .
 .Ss \&Cd
-Kernel configuration declaration.
-This denotes strings accepted by
-.Xr config 8 .
-It is most often used in section 4 manual pages.
+Kernel configuration declaration.  It is found in pages for
+.Bx
+and not used here.
 .Pp
 Examples:
 .Dl \&.Cd device le0 at scode?
@@ -1549,7 +1546,7 @@
 .Ss \&Ex
 Insert a standard sentence regarding command exit values of 0 on success
 and >0 on failure.
-This is most often used in section 1, 6, and 8 manual pages.
+This is most often used in section 1 and 1M manual pages.
 Its syntax is as follows:
 .Pp
 .D1 Pf \. Sx \&Ex Fl std Op Ar utility ...
@@ -1965,8 +1962,8 @@
 See also
 .Sx \&Nm .
 .Ss \&Nm
-The name of the manual page, or \(em in particular in section 1, 6,
-and 8 pages \(em of an additional command or feature documented in
+The name of the manual page, or \(em in particular in section 1
+and 1M pages \(em of an additional command or feature documented in
 the manual page.
 When first invoked, the
 .Sx \&Nm
@@ -2083,7 +2080,7 @@
 Prints the argument(s) in brackets.
 This is most often used in the
 .Em SYNOPSIS
-section of section 1 and 8 manual pages.
+section of section 1 and 1M manual pages.
 .Pp
 Examples:
 .Dl \&.Op \&Fl a \&Ar b
@@ -3202,7 +3199,6 @@
 .Xr mandoc 1
 utility written by Kristaps Dzonsons appeared in
 .Ox 4.6 .
-in July, 2014.
 .Sh AUTHORS
 The
 .Nm
